<?
define('PROTECTOR', 1);

$headmod = 'workshop';//фикс. места

$textl='Мастерская';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
going();
zasad();
ryd();
place_okr();
place_zamok();
place_tower();
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');

switch($_GET[mod]){

default:
echo'<a href="workshop.php?mod=cre">Создать</a><br/>';
echo'<a href="workshop.php?mod=ind">Индефицировать</a>';
break;
case 'cre':
if($udata['prof'] != "Кузнец"){echo'Вы не изучили Кузнечное дело'; include($path.'files/down.php'); exit; }
$br = mysql_query("SELECT `name`,`kol`,`id`,`unknow` FROM shems WHERE usr = '$log'");
////////////////////////////
$avto=mysql_num_rows($br);
if($avto>=1){
While($mag = mysql_fetch_array($br))
{

if($mag['unknow']=='0'){$mag['name']='Скрыт';}

echo"<a href=\"workshop.php?mod=cre_info&amp;id=$mag[id]\">$mag[name]</a> ($mag[kol] штук)<br/>";

}
}else{
echo"У вас нет схем!<br/>";
}
echo"<a href=\"workshop.php?\">Назад</a>";
break;
case 'cre_info':
$req = mysql_query("SELECT * FROM `shems` WHERE `usr` = '$log' and `id`='$_GET[id]'");

$avto=mysql_num_rows($req);
if($avto==0){
echo'Ошибка! Нет такого свитка!';
include($path.'files/down.php');
exit;
}
$mag = mysql_fetch_array($req);

if($mag['unknow']=='0'){$mag['name']='Скрыт';}

echo'Схема: <b>'.$mag['name'].'</b><br/>';
echo'Количество '.$mag['kol'].'<br/>';
echo'Цена создания: '.$mag['scena'].'<br/>';
echo'Ресурсы: <br/>';
$res=explode("|",$mag[nead_res]);
$kres=count($res);
$i=0;
$b=1;
while($b<=$kres){
$r=explode(",",$res[$i]);
$lat_name=$r[0];
$kol=$r[1];

$req = mysql_query("SELECT name FROM `mdrop` WHERE `lat_name`='$lat_name' LIMIT 1");
$reso = mysql_fetch_array($req);
echo"$reso[name] - $kol штук<br/>";
$i++;
$b++;
}
if($mag['unknow']=='1'){

switch($mag[klas]){
case 'not':
$klas='Все';
break;
case 'wizard':
$klas='Маг';
break;
case 'fighert':
$klas='Воин';
break;
}

switch($mag[tip]){
case 'weapon':
$tip='Оружие';
break;
case 'body':
$tip='Доспехи';
break;
case 'golova':
$tip='Шлем';
break;
case 'nogi':
$tip='Сапоги';
break;
case 'shit':
$tip='Щит';
break;
case 'poyas':
$tip='Пояс';
break;
case 'plash':
$tip='Плащ';
break;
case 'ruki':
$tip='Рукавицы';
break;
case 'kolco':
$tip='Кольцо';
break;
case 'amulet':
$tip='Амулет';
break;
}

echo'Вещь: '.$mag['name_item'].'<br/>';

echo"Тип: $tip<br/>
<b>Характеристика</b><br/>
Урон: $mag[umin]/$mag[umax]<br/>
Защита головы: $mag[pgolova]<br/>
Защита тела: $mag[pbody]<br/>
Защита ног: $mag[pnogi]<br/>
<b>Бонусы:</b><br/>
Жизнь: $mag[hp]<br/>
Мана: $mag[mp]<br/>
Сила: $mag[sila]<br/>
Ловкость: $mag[lovk]<br/>
Интелект: $mag[um]<br/>
Физ. защита: $mag[prot]<br/>
Крит: $mag[krit]%<br/>
Крит-урон: $mag[ukrit]%<br/>
Анти-крит: $mag[antikrit]%<br/>
<b>Требования:</b><br/>
Класс: $klas<br/>
Сила: $mag[nsila]<br/>
Ловкость: $mag[nlovk]<br/>
Интелект: $mag[num]<br/>
Уровень: $mag[nlvl]<br/>
";
}
echo"<a href=\"workshop.php?mod=cre_ok&amp;id=$mag[id]\">Создать вещь</a><br/>";

echo"<a href=\"workshop.php?\">Назад</a>";
break;
case 'cre_ok':
if($udata['prof'] != "Кузнец"){echo'Вы не изучили Кузнечное дело'; include($path.'files/down.php'); exit; }
$req = mysql_query("SELECT * FROM `shems` WHERE `usr` = '$log' and `id`='$_GET[id]'");

$avto=mysql_num_rows($req);
if($avto==0){
echo'Ошибка! Нет такого свитка!';
include($path.'files/down.php');
exit;
}
$mag = mysql_fetch_array($req);

if($mag['scena']>$udata['money']){
echo'Не хватает монет!';
include($path.'files/down.php');exit;
}
$start=true;

$res=explode("|",$mag[nead_res]);
$kres=count($res)-1;
$i=0;
while($i<=$kres){
$r=explode(",",$res[$i]);
$lat_name=$r[0];
$kol=$r[1];

$req = mysql_query("SELECT `id` FROM `res` WHERE `usr`='$log' and `lat_name`='$lat_name' and `kol`>='$kol' LIMIT 1");
$avto=mysql_num_rows($req);
if($avto==0){
$start=false;
}
$i++;
}

if($start==true){
$res=explode("|",$mag[nead_res]);
$kres=count($res)-1;
$i=0;
while($i<=$kres){
$r=explode(",",$res[$i]);
$lat_name=$r[0];
$kol=$r[1];

$req = mysql_query("SELECT `kol` FROM `res` WHERE `usr`='$log' and `lat_name`='$lat_name' LIMIT 1");
$re = mysql_fetch_array($req);
if(($re[kol]-$kol)==0){
mysql_query("DELETE FROM `res` WHERE `usr`='$log' and `lat_name`='$lat_name' LIMIT 1");//чистим логи
}else{
$re[kol]--;
mysql_query("UPDATE `res` SET `kol` = '$re[kol]' WHERE `usr`='$log' and `lat_name`='$lat_name' LIMIT 1");
}

$i++;
}

mysql_query("INSERT INTO
        `item` SET
        `usr` = '$log',
        `tip` = '$mag[tip]',
        `name` = '$mag[name_item]',
        `cena` = '$mag[cena]',
        `umin` = '$mag[umin]',
        `umax` = '$mag[umax]',
        `pgolova` = '$mag[pgolova]',
        `pbody` = '$mag[pbody]',
        `pnogi` = '$mag[pnogi]',
        `hp` = '$mag[hp]',
        `mp` = '$mag[mp]',
        `krit` = '$mag[krit]',
        `ukrit` = '$mag[ukrit]',
        `antikrit` = '$mag[antikrit]',
        `sila` = '$mag[sila]',
        `lovk` = '$mag[lovk]',
        `um` = '$mag[um]',
        `prot` = '$mag[prot]',
        `klas` = '$mag[klas]',
        `nsila` = '$mag[nsila]',
        `num` = '$mag[num]',
        `nlovk` = '$mag[nlovk]',
        `nlvl` = '$mag[nlvl]',
        `image` = 'not'");
        
        
        if($mag['kol']=='1'){
        mysql_query("DELETE FROM `shems` WHERE `usr` = '$log' and `id`='$_GET[id]'");
        }else{
        $mag['kol']--;
        mysql_query("UPDATE `shems` SET `kol` = '$mag[kol]' WHERE `usr` = '$log' and `id`='$_GET[id]' LIMIT 1");
        }
        $udata['money']=$udata['money']-$mag['scena'];
        
        mysql_query("UPDATE `users` SET `money` = '$udata[money]' WHERE `usr`='$log'");
                
        echo'Вы создали вещь '.$mag['name_item'].'<br/>';

}else{
echo'Нет нужного количества ресурсов!<br/>';
}
echo"<a href=\"workshop.php?\">Назад</a>";
break;
case 'ind':
$br = mysql_query("SELECT `kol`,`id`,`unknow` FROM shems WHERE `usr` = '$log' and `unknow`='0'");
////////////////////////////
$avto=mysql_num_rows($br);
if($avto>=1){
While($mag = mysql_fetch_array($br))
{

echo"<a href=\"workshop.php?mod=ind_info&amp;id=$mag[id]\">Скрыт</a> ($mag[kol] штук)<br/>";

}
}else{
echo"У вас нет не индефицированых схем!<br/>";
}
echo"<a href=\"workshop.php?\">Назад</a>"; 
break;

case 'ind_info':
$req = mysql_query("SELECT `kol`,`unknow`,`scena` FROM `shems` WHERE `usr` = '$log' and `id`='$_GET[id]' and `unknow`='0'");

$avto=mysql_num_rows($req);
if($avto==0){
echo'Ошибка! Нет такого свитка!';
include($path.'files/down.php');
exit;
}
$mag = mysql_fetch_array($req);

$mag['scena']=round($mag['scena']/4);

echo'Схема: <b>Скрыт</b><br/>';
echo'Количество '.$mag['kol'].'<br/>';
echo'Цена индефикации: '.$mag['scena'].'<br/>';

echo"<a href=\"workshop.php?mod=ind_ok&amp;id=$_GET[id]\">Индефицировать схему</a><br/>";

echo"<a href=\"workshop.php?\">Назад</a>";
break;

case 'ind_ok':
$req = mysql_query("SELECT `kol`,`unknow`,`scena`,`name` FROM `shems` WHERE `usr` = '$log' and `id`='$_GET[id]' and `unknow`='0'");

$avto=mysql_num_rows($req);
if($avto==0){
echo'Ошибка! Нет такого свитка!';
include($path.'files/down.php');
exit;
}
$mag = mysql_fetch_array($req);

$mag['scena']=round($mag['scena']/4);

if($mag['scena']>$udata['money']){
echo'Нехватает монет!';
include($path.'files/down.php');exit;
}
        mysql_query("UPDATE `shems` SET `unknow` = '1' WHERE `usr` = '$log' and `id`='$_GET[id]' LIMIT 1");

        $udata['money']=$udata['money']-$mag['scena'];
        
        mysql_query("UPDATE `users` SET `money` = '$udata[money]' WHERE `usr`='$log'");
                
        echo'Вы индефицировали свиток '.$mag['name'].'<br/>';

echo"<a href=\"workshop.php?\">Назад</a>";
break;
}
include($path.'files/down.php');
?>
